<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo2.xml</name>
  <program_name>echo2.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox1</name>

      <widget>
	<class>GtkHBox</class>
	<name>main_box</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox7</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkMenuBar</class>
	      <name>menubar1_blue</name>
	      <shadow_type>GTK_SHADOW_OUT</shadow_type>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>

	      <widget>
		<class>GtkMenuItem</class>
		<name>type1</name>
		<label>Type:</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>type1_menu</name>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>lopass1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:onepole_lopass</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>one pole low pass</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>hipass1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:onepole_hipass</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>one pole high pass</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>modulator1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:modulator</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>modulator</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>balance</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:balance:1.0:0.0:0.0:1.0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>balance</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>math1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:function:x</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>math function</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>delay1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:delay:10:2048</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>delay</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>variable1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:variable_delay:2047:128:65536</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>variable delay</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>sine1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:sine:440.0:880.0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>sine</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>square1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:square:100:10000:1:0:1:0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>square</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>triangle1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:triangle:100:100:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>triangle</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>noise1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:noise</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>noise</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>gaussian1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:gaussian_distribution:11025:0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>gaussian distribution</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>poisson1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:poisson_distribution:11025</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>poisson distribution</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>wavetable1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:wavetable:100:100:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>wavetable</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>constant1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:constant:0:0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>constant</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>control1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:control:0,0,1,0,0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>control</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>clip1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:clip:-1:1:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>clip</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>clamp1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:clamp:-1:1:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>clamp</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>pulse1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:pulse:0:0:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>pulse</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>trigger1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:trigger:-1:1:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>trigger</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>expratelimiter</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:exponential_rate_limiter:1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>exponential rate limiter</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>linearratelimiter</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:linear_rate_limiter:1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>linear rate limiter</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>gate1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:gate:-1:1:-1:1</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>gate</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>levelmeter1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:level_meter:1024</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>level meter</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>frequencyestimator1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:frequency_estimator:1024:0.001</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>frequency estimator</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>quotient1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:quotient</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>quotient</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>gain1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:gain:1.0</handler>
		      <last_modification_time>Wed, 23 May 2001 22:00:37 GMT</last_modification_time>
		    </signal>
		    <label>gain</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>mix1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_mini_network_set_type:mix</handler>
		      <last_modification_time>Wed, 23 May 2001 22:05:24 GMT</last_modification_time>
		    </signal>
		    <label>mix</label>
		    <right_justify>False</right_justify>
		  </widget>
		</widget>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label1</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_mini_network_type_label</handler>
		<last_modification_time>Wed, 23 May 2001 21:55:26 GMT</last_modification_time>
	      </signal>
	      <label>label1</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button32</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_maximize</handler>
		<last_modification_time>Sun, 24 Feb 2002 15:16:52 GMT</last_modification_time>
	      </signal>
	      <label>[]</label>
	      <relief>GTK_RELIEF_NORMAL</relief>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button2</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:reverb:0:2:Reverb</handler>
		<last_modification_time>Sun, 05 Mar 2000 22:20:10 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <relief>GTK_RELIEF_NORMAL</relief>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button3</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:mininet</handler>
		<last_modification_time>Fri, 24 Mar 2000 21:33:22 GMT</last_modification_time>
	      </signal>
	      <label>?</label>
	      <relief>GTK_RELIEF_NORMAL</relief>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkDrawingArea</class>
	      <name>drawing_area</name>
	      <width>300</width>
	      <height>200</height>
	      <signal>
		<name>whatever</name>
		<handler>gdam_mini_network_drawing_area</handler>
		<last_modification_time>Sat, 19 Feb 2000 21:35:45 GMT</last_modification_time>
	      </signal>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkFrame</class>
	    <name>frame1</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_mini_network_edit_container</handler>
	      <last_modification_time>Mon, 27 Mar 2000 17:05:31 GMT</last_modification_time>
	    </signal>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
